Bug 178072 - pwMutex destroy failure: Device or resource busy
pwMutex destroy failure: Device or resource busy
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 13:04 EST by Ngo Than
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0184
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 12:47:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2006-01-17 13:04:05 EST
+++ This bug was initially created as a clone of Bug #159604 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
simple commands such as cd,ls are giving Mutex destroy error.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.list files command ls
2.
3.
  

Actual Results:  1.$]pwMutex destroy failure: Device or resource busy
2]ICE default IO error handler doing an exit(), pid = 6764, errno = 0

Additional info:

-- Additional comment from bvasundhar@gmail.com on 2005-06-05 13:31 EST --
Created an attachment (id=115157)
bug file


-- Additional comment from rstrode@redhat.com on 2005-06-06 10:38 EST --
Hi,

This sounds like a kernel or hardware problem.  I am going to reassign to the
kernel team.

-- Additional comment from davej@redhat.com on 2005-07-08 18:29 EST --
Every instance of a <a href="
http://www.google.com/search?q=Mutex+destroy+failure&start=0&start=0&ie=utf-8&oe=utf-8&client=firefox-a&rls=org.mozilla:en-US:official">google
search for Mutex destroy failure</a> seems to point to KDE.

Why this happens with 'ls' I've no idea.

Whatever the case, this seems completely unrelated to kernel.



-- Additional comment from bvasundhar@gmail.com on 2005-07-12 06:10 EST --
it is not limited to 'ls' alone,
I saw this in xine, I saw this is cd I saw this happening in mount and also once
in 'nautilus .'

It seems to me that after completion of some operation I am encountering the
error immediately if I try to do same in the command line.

for example 
if I run psql, exit and try todo some other operation like gnu plot or bc , it
occurs
the same from python and consecutive operation and so on 

-- Additional comment from than@redhat.com on 2005-07-13 11:30 EST --
yes, it's a bug in kdelibs. It's now fixed in kdelibs-3.3.1-2.14.FC3, which
will be released next week. Many thanks for your report.

-- Additional comment from bvasundhar@gmail.com on 2005-07-14 08:21 EST --
No I used FC3 on 64 bit, 
Compaq system. 
Problem Persisted. 
 

-- Additional comment from than@redhat.com on 2005-07-14 08:29 EST --
you still have old kdelibs-3.3.1, which of course still has this issue!
The new kdelibs-3.3.1-2.14.FC3, which include this fix, will be released next week


-- Additional comment from bvasundhar@gmail.com on 2005-07-15 01:10 EST --
This I am encountering in Gnome Env. also

-- Additional comment from bvasundhar@gmail.com on 2005-07-15 01:11 EST --
This I am encountering in Gnome Env. also
Comment 1 Ngo Than 2006-01-17 13:05:52 EST
it's fixed in kdelibs-3.3.1-3.14.
Comment 5 Red Hat Bugzilla 2006-01-19 12:47:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0184.html

Note You need to log in before you can comment on or make changes to this bug.